Skip to main content
GET
Check one domain's availability and live first-year price

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Replo-Api-Version
enum<string>
required

The public API version to use for this request.

Available options:
2026-11-19

Query Parameters

siteId
string<uuid>
required

The site the domain is for, from list_sites.

domain
string
required

The exact domain to price, lowercase with no scheme, such as 'acmecoffee.com'.

Required string length: 1 - 253
Pattern: ^([a-z0-9]([a-z0-9-]*[a-z0-9])?\.)+[a-z]{2,}$

Response

Check one domain's availability and live first-year price

object
enum<string>
required
Available options:
domain_availability
domain
string
required
available
boolean
required
price_cents
integer | null
required

First-year price in minor units; null when not buyable.

renewal_price_cents
integer | null
required
currency
string
required
premium
boolean
required